CorebanqCorebanq Developer Docs
Customersv1Customer Links

Create Customer Link

POST
/v1/customer-links

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from /v1/authenticate endpoint

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

When rec_type_id is supplied alongside rec_type_name, the name takes precedence and the id is ignored.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/customer-links" \  -H "Content-Type: application/json" \  -d '{    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",    "rec_id": "0ba687c4-349e-490d-969f-fd374e232d42",    "rec_type_name": "string"  }'
{
  "link_id": "02a2c2f0-9521-47cc-9615-2e177adeebac"
}
{
  "status": 400,
  "message": "Bad request"
}
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 403,
  "message": "Forbidden"
}
{
  "status": 404,
  "message": "Not found"
}
{
  "status": 500,
  "message": "Internal server error"
}